package com.javaseleniumtemplate.tests;

import com.javaseleniumtemplate.bases.TestBase;
import com.javaseleniumtemplate.flows.LoginFlows;
import com.javaseleniumtemplate.flows.CategoriaEmbalagemFlows;
import com.javaseleniumtemplate.pages.CategoriaEmbalagemPage;
import org.testng.annotations.Test;

public class CategoriaEmbalagemTests extends TestBase {

    CategoriaEmbalagemPage categoriaEmbalagemPage;
    CategoriaEmbalagemFlows categoriaEmbalagemFlows;
    LoginFlows loginFlows;

    //tentar adicionar uma categoria com um código já existente e verificar se aparece uma mensagem na tela informando que o registro já existe
    //adicionar, editar e excluir uma mesma categoria
    //tentar excluir a categoria 'primária', pois a mesma possuí registros filhos e dessa forma não deve ser permitida a exclusão
    @Test
    public void categoriaEmbalagens() {
        categoriaEmbalagemPage = new CategoriaEmbalagemPage();
        categoriaEmbalagemFlows = new CategoriaEmbalagemFlows();
        loginFlows = new LoginFlows();

        loginFlows.efetuarLogin();
        categoriaEmbalagemFlows.navegateTelaCategoriaEmbalagens();
        categoriaEmbalagemPage.camposObrigatorios();
        categoriaEmbalagemPage.refresh();
        categoriaEmbalagemPage.tentarAdicionarCodigoExistente();
        categoriaEmbalagemPage.refresh();
        categoriaEmbalagemPage.adicionarCategoria();
        categoriaEmbalagemPage.editarCategoria();
        categoriaEmbalagemPage.excluirCategoria();
        categoriaEmbalagemPage.tentarExcluirCategoriaComRegistrosFilhos();


        try {
            Thread.sleep(8000);
        } catch (InterruptedException e) {
            e.printStackTrace();
        }
    }


}
